import { NodeInterface, Plugin, RangeInterface, PluginOptions } from '@aomao/engine';
import './index.css';
export interface PaintformatOptions extends PluginOptions {
    removeCommand?: string | ((range: RangeInterface) => void);
    paintBlock?: (currentBlocl: NodeInterface, block: NodeInterface) => boolean | void;
}
export default class<T extends PaintformatOptions = PaintformatOptions> extends Plugin<T> {
    private activeMarks?;
    private activeBlocks?;
    private type?;
    private event?;
    private isFormat;
    static get pluginName(): string;
    init(): void;
    removeActiveNodes(node: NodeInterface | Node): void;
    bindEvent(node: NodeInterface): void;
    paintFormat(activeMarks: NodeInterface[], activeBlocks?: NodeInterface[]): void;
    paintMarks(activeMarks: NodeInterface[]): void;
    paintBlocks(currentBlock: NodeInterface, activeBlocks: NodeInterface[]): void;
    execute(type?: string): void;
    queryState(): boolean;
}
